Otomatik Bandwidth
Aboneliği Sil
Bir Otomatik Bandwidth aboneliğini silin
DELETE
/
v1
/
bandwidth
/
auto
/
{sub_id}
Aboneliği Sil
curl --request DELETE \
--url https://api.tronrental.com/v1/bandwidth/auto/{sub_id}import requests
url = "https://api.tronrental.com/v1/bandwidth/auto/{sub_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.tronrental.com/v1/bandwidth/auto/{sub_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tronrental.com/v1/bandwidth/auto/{sub_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tronrental.com/v1/bandwidth/auto/{sub_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.tronrental.com/v1/bandwidth/auto/{sub_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tronrental.com/v1/bandwidth/auto/{sub_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "<string>"
}Aboneliği Sil
Bir aboneliği siler. Adresi izlemeyi bırakır ve ona devrettiğimiz bant genişliğini birkaç saniye içinde geri alırız; adres yeni bir abonelik için boşalır. Silmeden önce bizim bant genişliğimizi kullanan bir transferin ücreti yine de alınır.buy_bandwidth kapsamını gerektirir.
Ayarları kaybetmeden bir süre durmak için bunun yerine enabled: false ile aboneliği duraklatın.
Yol parametreleri
Yanıt
Örnek
curl -X DELETE https://api.tronrental.com/v1/bandwidth/auto/42 \
-H "X-API-Key: your_api_key"
import requests
resp = requests.delete(
"https://api.tronrental.com/v1/bandwidth/auto/42",
headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/auto/42", {
method: "DELETE",
headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
Response
{
"id": 42,
"status": "deleted"
}
Hatalar
| Durum | Kod | Ne zaman |
|---|---|---|
403 | FORBIDDEN | API anahtarında buy_bandwidth kapsamı yok |
404 | NOT_FOUND | Hesabınızda bu kimliğe sahip abonelik yok (veya zaten silindi) |
{
"detail": {
"error": {
"code": "NOT_FOUND",
"message": "Auto-Bandwidth subscription not found"
}
}
}
⌘I
Aboneliği Sil
curl --request DELETE \
--url https://api.tronrental.com/v1/bandwidth/auto/{sub_id}import requests
url = "https://api.tronrental.com/v1/bandwidth/auto/{sub_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.tronrental.com/v1/bandwidth/auto/{sub_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tronrental.com/v1/bandwidth/auto/{sub_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tronrental.com/v1/bandwidth/auto/{sub_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.tronrental.com/v1/bandwidth/auto/{sub_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tronrental.com/v1/bandwidth/auto/{sub_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"status": "<string>"
}